Operacions
Obtenir resultats d'una operació
Retorna resultats paginats d’execució per a una operació dins de l’organització autoritzada.
GET
/
v1
/
organizations
/
{organization_id}
/
operations
/
{operation_id}
/
results
Obtenir resultats d'una operació
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "66b5f6d2f8d5a4d8a7f1c101",
"operation_id": "64f0c2a1b2d3e4f506070811",
"workspace_id": "66b5f6d2f8d5a4d8a7f1c301",
"organization_id": "507f1f77bcf86cd799439011",
"status": "completed",
"name": "ws-001",
"start_date": "2026-05-10T10:15:30Z",
"end_date": "2026-05-10T10:16:41Z",
"script_detail": "Script ejecutado correctamente",
"script_duration": 71,
"script_response": [
{
"timestamp": "2026-05-10T10:15:35.100Z",
"line": "Linea inicial\nDetalle multilinea"
},
{
"timestamp": "2026-05-10T10:15:37.100Z",
"line": "Segundo bloque OUT"
}
]
}
],
"has_next": true
}Autoritzacions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paràmetres de ruta
Identificador de l'organització.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador de l'operació.
Required string length:
24Pattern:
^[0-9a-f]{24}$Paràmetres de consulta
Pàgina a consultar.
Rang requerit:
x >= 1Número d'elements per pàgina.
Rang requerit:
1 <= x <= 100Llista separada per comes amb camps de resposta a incloure.
Expressió d'ordenació amb el format :asc|desc. En mode agregat, només accepta camps de group_by o àlies agregats (count, <function>_<field>).
Pattern:
^([a-z_]+):(asc|desc)$Expressió JSON per a agregació. Estructura: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. No es pot combinar amb fields.
Maximum string length:
1024Expressió JSON de filtres sobre camps permesos.
⌘I
Obtenir resultats d'una operació
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "66b5f6d2f8d5a4d8a7f1c101",
"operation_id": "64f0c2a1b2d3e4f506070811",
"workspace_id": "66b5f6d2f8d5a4d8a7f1c301",
"organization_id": "507f1f77bcf86cd799439011",
"status": "completed",
"name": "ws-001",
"start_date": "2026-05-10T10:15:30Z",
"end_date": "2026-05-10T10:16:41Z",
"script_detail": "Script ejecutado correctamente",
"script_duration": 71,
"script_response": [
{
"timestamp": "2026-05-10T10:15:35.100Z",
"line": "Linea inicial\nDetalle multilinea"
},
{
"timestamp": "2026-05-10T10:15:37.100Z",
"line": "Segundo bloque OUT"
}
]
}
],
"has_next": true
}